Bug Hunting Session
Bug 112817 - Assertion failure in Itempool.cxx lin 617 after pressing underline
Summary: Assertion failure in Itempool.cxx lin 617 after pressing underline
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks: Assert
  Show dependency treegraph
 
Reported: 2017-10-02 10:50 UTC by Telesto
Modified: 2017-10-18 23:27 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2017-10-02 10:50:49 UTC
Description:
Assertion failure in Itempool.cxx after pressing underline 

Expression: !pImpl->mpStaticDefaults || typeid(rltem)
typeid(GetDefaultItem(nWhich))

Steps to Reproduce:
1. Open attachment 133999 [details] (bug 106617) with a LibO Debug build
2. Select all CTRL+A
3. CTRL+U (or underline button)


Actual Results:  
Assertion

Expected Results:
No assertion


Reproducible: Always

User Profile Reset: No

Additional Info:
Found in
Version: 6.0.0.0.alpha0+
Build ID: e0aed1459513be5e08fab9de06848df5dc9d0b5f
CPU threads: 4; OS: Windows 6.29; UI render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2017-09-20_06:45:25
Locale: nl-NL (nl_NL); Calc: CL


User-Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Xisco Faulí 2017-10-02 13:19:13 UTC
This was converted to an assert in b1adb498bb0a5ff091c9d1d82332a4c43c57979b...
@Michael, can you comment here?
Comment 2 Xisco Faulí 2017-10-03 21:31:29 UTC
Reproduced in

Version: 6.0.0.0.alpha0+
Build ID: a9588baca8137f51e2ca72e40b1f448b0e1885d1
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF-dbg, Branch:master, Time: 2017-07-21_03:03:50
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 3 Michael Stahl (CIB) 2017-10-05 15:23:03 UTC
fixed on master
Comment 4 Commit Notification 2017-10-05 15:23:46 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=03041e0f8d8385847c2e77fcaf08c1d33cad938f

tdf#112817 editeng,svx: fix SvxUnderlineItem/SvxOverlineItem SDI

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-10-18 23:27:11 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=31aeb934dbe101d5047e0b803735031b56b5ce57

tdf#112817 Fix the sidebar underline dropdown

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.